Package org.kapott.hbci.GV_Result

## Enum GVRKontoauszug.Format

- java.lang.Object
- - java.lang.Enum<GVRKontoauszug.Format>
  - - org.kapott.hbci.GV_Result.GVRKontoauszug.Format

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<GVRKontoauszug.Format>`

Enclosing class:
  GVRKontoauszug

    public static enum GVRKontoauszug.Format
    extends java.lang.Enum<GVRKontoauszug.Format>

Enum mit den moeglichen Formaten.

### Enum Constant Summary

Enum Constants
`ISO8583` Datenformat ISO-8583.
`MT940` Datenformat SWIFT MT940.
`PDF` Datenformat PDF.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GVRKontoauszug.Format` `find​(java.lang.String code)` Liefert das passende Format oder NULL, wenn es nicht bekannt ist.
`java.lang.String` `getCode()` Liefert den Code des Formats.
`java.lang.String` `getExtention()` Liefert die Dateiendung fuer dieses Format.
`static GVRKontoauszug.Format` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GVRKontoauszug.Format[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MT940

    public static final GVRKontoauszug.Format MT940

Datenformat SWIFT MT940.

#### ISO8583

    public static final GVRKontoauszug.Format ISO8583

Datenformat ISO-8583.

#### PDF

    public static final GVRKontoauszug.Format PDF

Datenformat PDF.

### Method Detail

#### values

    public static GVRKontoauszug.Format[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GVRKontoauszug.Format c : GVRKontoauszug.Format.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GVRKontoauszug.Format valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public java.lang.String getCode()

Liefert den Code des Formats.

Returns:
  der Code des Formats.

#### getExtention

    public java.lang.String getExtention()

Liefert die Dateiendung fuer dieses Format.

Returns:
  die Dateiendung - ohne fuehrenden Punkt.

#### find

    public static GVRKontoauszug.Format find​(java.lang.String code)

Liefert das passende Format oder NULL, wenn es nicht bekannt ist.

Parameters:
  `code` - der Code des Formats.
Returns:
  das Format oder NULL, wenn es nicht bekannt ist.